:DebugWin64
SET RETURN=DebugWin64
SET NEXT=ReleaseWin65
"%InstallDir%\%MSBuildExe%" Framework.vcxproj /p:configuration=debug /p:platform=x64
if errorlevel 1 GOTO Error
:ReleaseWin65
SET RETURN=ReleaseWin65
SET NEXT=ReleaseWin32
"%InstallDir%\%MSBuildExe%" Framework.vcxproj /p:configuration=release /p:platform=x64
if errorlevel 1 GOTO Error
:ReleaseWin32
SET RETURN=ReleaseWin32
SET NEXT=DebugLinux64
"%InstallDir%\%MSBuildExe%" Framework.vcxproj /p:configuration=release /p:platform=win32
if errorlevel 1 GOTO Error
:DebugLinux64
SET RETURN=DebugLinux64
SET NEXT=ReleaseLinux64
"%InstallDir%\%MSBuildExe%" "Framework Linux.vcxproj" /t:rebuild /p:configuration=debug /p:platform=x64
if errorlevel 1 GOTO Error
:ReleaseLinux64
SET RETURN=ReleaseLinux64
SET NEXT=End
"%InstallDir%\%MSBuildExe%" "Framework Linux.vcxproj" /t:rebuild /p:configuration=release /p:platform=x64
if errorlevel 1 GOTO Error
GOTO End
:Error
SET /p redo=Nochmal versuchen?(j/n):
IF /I '%redo%' equ 'j' GOTO %RETURN%
GOTO %NEXT%
:End